org.cpsolver.studentsct.report

## Enum SolutionStatsReport.StudentGroup

- java.lang.Object
- - java.lang.Enum<SolutionStatsReport.StudentGroup>
  - - org.cpsolver.studentsct.report.SolutionStatsReport.StudentGroup

- All Implemented Interfaces:
    Serializable, Comparable<SolutionStatsReport.StudentGroup>, SolutionStatsReport.StudentFilter
  Enclosing class:
    SolutionStatsReport

      public static enum SolutionStatsReport.StudentGroup
      extends Enum<SolutionStatsReport.StudentGroup>
      implements SolutionStatsReport.StudentFilter

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `ATHLETES`
    `DUMMY`
    `FRESHMEN`
    `GR_SCONTONL`
    `GR_SCOVIDONL`
    `GR_SCOVIDPMPE`
    `GR_STAR`
    `GR_VSTAR`
    `JUNIOR`
    `NORMAL`
    `ONLINE`
    `OTHER`
    `OTHER_ATHLETES`
    `PREREG`
    `PRIORITY`
    `PRIORITY_ATHLETES`
    `REBATCH`
    `SENIOR`
    `SOPHOMORE`
    `STAR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `boolean` | `matches(Student student)`
    `boolean` | `matches(Student student, StudentSectioningReport.Filter filter)`
    `static SolutionStatsReport.StudentGroup` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SolutionStatsReport.StudentGroup[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final SolutionStatsReport.StudentGroup ALL

    - #### DUMMY

          public static final SolutionStatsReport.StudentGroup DUMMY

    - #### PRIORITY

          public static final SolutionStatsReport.StudentGroup PRIORITY

    - #### SENIOR

          public static final SolutionStatsReport.StudentGroup SENIOR

    - #### JUNIOR

          public static final SolutionStatsReport.StudentGroup JUNIOR

    - #### SOPHOMORE

          public static final SolutionStatsReport.StudentGroup SOPHOMORE

    - #### FRESHMEN

          public static final SolutionStatsReport.StudentGroup FRESHMEN

    - #### NORMAL

          public static final SolutionStatsReport.StudentGroup NORMAL

    - #### REBATCH

          public static final SolutionStatsReport.StudentGroup REBATCH

    - #### ONLINE

          public static final SolutionStatsReport.StudentGroup ONLINE

    - #### GR_SCONTONL

          public static final SolutionStatsReport.StudentGroup GR_SCONTONL

    - #### GR_SCOVIDONL

          public static final SolutionStatsReport.StudentGroup GR_SCOVIDONL

    - #### GR_SCOVIDPMPE

          public static final SolutionStatsReport.StudentGroup GR_SCOVIDPMPE

    - #### PREREG

          public static final SolutionStatsReport.StudentGroup PREREG

    - #### STAR

          public static final SolutionStatsReport.StudentGroup STAR

    - #### GR_STAR

          public static final SolutionStatsReport.StudentGroup GR_STAR

    - #### GR_VSTAR

          public static final SolutionStatsReport.StudentGroup GR_VSTAR

    - #### OTHER

          public static final SolutionStatsReport.StudentGroup OTHER

    - #### ATHLETES

          public static final SolutionStatsReport.StudentGroup ATHLETES

    - #### PRIORITY_ATHLETES

          public static final SolutionStatsReport.StudentGroup PRIORITY_ATHLETES

    - #### OTHER_ATHLETES

          public static final SolutionStatsReport.StudentGroup OTHER_ATHLETES

  - ### Method Detail

    - #### values

          public static SolutionStatsReport.StudentGroup[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SolutionStatsReport.StudentGroup c : SolutionStatsReport.StudentGroup.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SolutionStatsReport.StudentGroup valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### matches

          public boolean matches(Student student)

      Specified by:
        `matches` in interface `SolutionStatsReport.StudentFilter`

    - #### matches

          public boolean matches(Student student,
                                 StudentSectioningReport.Filter filter)